Page MenuHomePhabricator

Make AxiosWikibaseContentLanguagesRepo unknown language error loggable
Closed, ResolvedPublic

Description

Currently logging with context { requestedLanguage: inLanguage, responseLanguages: data.query.wbcontentlanguages }, which causes [2019-07-24T15:18:44,317][WARN ][logstash.outputs.elasticsearch] Could not index event to Elasticsearch. {:status=>400, :action=>["index", {:_id=>nil, :_index=>"logstash-2019.07.24", :_type=>"wikibase-termbox", :_routing=>nil}, 2019-07-24T15:18:43.604Z termbox-production-7697585885-cqr5m Asked for data in a language that itself is not existing.], :response=>{"index"=>{"_index"=>"logstash-2019.07.24", "_type"=>"wikibase-termbox", "_id"=>"AWwkkCtzQFnOyvY0Rzuo", "status"=>400, "error"=>{"type"=>"illegal_argument_exception", "reason"=>"Limit of total fields [1000] in index [logstash-2019.07.24] has been exceeded"}}}}

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptJul 24 2019, 3:25 PM
Tarrow claimed this task.Jul 24 2019, 4:11 PM
Tarrow moved this task from To Do to Doing on the Wikibase-Termbox-Iteration-20 board.

Saw this suspiciously in the local logs:

(node:14471) UnhandledPromiseRejectionWarning: TypeError: err.getContext is not a function
ssr_1 | [1] at termboxHandler.createTermboxRequest.then.then.then.catch (/app/serverBuild/server/app.js:59:57)
ssr_1 | [1] at process._tickCallback (internal/process/next_tick.js:68:7)

line 59 is: the info/service log of err.getContext() on a BundleBoundaryPassingException

Change 526387 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[wikibase/termbox@master] Reduce keys in context of TranslationLanguageNotFound

https://gerrit.wikimedia.org/r/526387

Change 526387 merged by jenkins-bot:
[wikibase/termbox@master] Reduce keys in context of TranslationLanguageNotFound

https://gerrit.wikimedia.org/r/526387

We just deployed this and verified on logstash that it's no longer broken. Hurray!

Tarrow closed this task as Resolved.Aug 29 2019, 10:18 AM